<?php

namespace Drupal\webform_flexurl_field\Tests;

use Drupal\Tests\webform\Functional\Element\WebformElementBrowserTestBase;
use Drupal\webform\Entity\Webform;
use Drupal\webform\Entity\WebformSubmission;

/**
 * Tests for webform_flexurl_field.
 *
 * @group Webform
 */
class WebformFlexUrlFieldTest extends WebformElementBrowserTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['webform_flexurl_field'];

  /**
   * Tests IBAN field.
   */
  public function testWebformFlexUrlField() {
    $webform = Webform::load('webform_flexurl_field');

    // Check form element rendering.
    $this->drupalGet('webform/webform_flexurl_field');

    $this->assertSession()->fieldExists('webform_flexurl_field');
    $this->assertSession()->fieldExists('webform_flexurl_field_multiple[items][0][_item_]');
    // $this->assertSession()->elementExists('.form-text.webform-iban-field');
    // Check webform element submission.
    // Submission fail.
    $edit = [
      'webform_flexurl_field' => '{Test}',
      'webform_flexurl_field_multiple[items][0][_item_]' => '{Test 01}',
    ];
    $sid = $this->postSubmission($webform, $edit);
    $this->assertEquals($sid, NULL);

    // Submission succeed.
    $edit = [
      'webform_flexurl_field' => 'NL78LPLN0822253585',
      'webform_flexurl_field_multiple[items][0][_item_]' => 'NL52BNGH0374594309',
    ];
    $sid = $this->postSubmission($webform, $edit);
    $webform_submission = WebformSubmission::load($sid);
    $this->assertEquals($webform_submission->getElementData('webform_flexurl_field'), 'NL78LPLN0822253585');
    $this->assertEquals($webform_submission->getElementData('webform_flexurl_field_multiple'), ['NL52BNGH0374594309']);
  }

}
